/*
 * xdjperr.h
 *
 * Copyright (C) 1994, Thomas G. Lane.
 * This file is part of the Independent JPEG Group's software.
 * For conditions of distribution and use, see the accompanying README file.
 *
 * This file defines the error and message codes for the cjpeg/djpeg
 * applications.  These strings are not needed as part of the JPEG library
 * proper.
 *
 * I changed the sophisticated #ifdef scheme to something
 * more ordinary (W.B.)
 */

#ifndef XDJPERR_H
#define XDJPERR_H

typedef enum {
	JMSG_FIRSTADDONCODE=1000,
	JERR_IMP_MEMLOST,
	JERR_IMP_PIXMEM,
	JMSG_LASTADDONCODE
} ADDON_MESSAGE_CODE;

static const char * const xdjpeg_message_table[] = {
	XDERR_NO_MEM_ELEM_D,
	XDERR_NO_MEM_PIX_DD,
	NULL
};

#endif /* XDJPERR_H */

